API
API retrait
Référence OpenAPI
Les opérations ci-dessous sont générées depuis la spec OpenAPI Nirio. Les exemples cURL, JavaScript, Python et le playground sont maintenus par Fumadocs.
Crée une nouvelle demande de retrait et retourne les informations nécessaires, notamment le qrCodeContent.
Authorization
BasicAuth In: header
Path Parameters
Identifiant du partenaire sur 3 chiffres fourni par FDJ Services.
^\\d{3}$Identifiant du produit sur 2 chiffres fourni par FDJ Services.
^\\d{2}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/withdrawal/123/45/withdrawal-requests" \ -H "Content-Type: application/json" \ -d '{ "externalId": "5d3857ed-dba5-4e35-89e7-7d4e2aa71632", "amountInCents": 5000, "currency": "EUR", "customer": { "birthDate": "1998-07-12", "birthPlace": "Paris", "externalId": "f29fe872-20b6-4f6f-a663-943ed0c0c550", "firstName": "Marie", "lastName": "Durand", "personType": "NATURAL", "residenceCountryCode": "FR" } }'{ "id": "47257c33-50f5-4a81-a9cd-8483983c3d7f", "status": "CREATED", "customerExternalId": "f29fe872-20b6-4f6f-a663-943ed0c0c550", "creationDate": "2026-01-19T14:08:34.043Z", "expirationDate": "2026-01-19T15:08:34.032Z", "serviceFeesInCents": 150, "qrCodeContent": "NIRIO|WITHDRAWAL|47257c33-50f5-4a81-a9cd-8483983c3d7f", "amountInCents": 5000, "currency": "EUR", "externalId": "5d3857ed-dba5-4e35-89e7-7d4e2aa71632"}Récupère la liste paginée des demandes de retrait.
Authorization
BasicAuth In: header
Path Parameters
Identifiant du partenaire sur 3 chiffres fourni par FDJ Services.
^\\d{3}$Identifiant du produit sur 2 chiffres fourni par FDJ Services.
^\\d{2}$Query Parameters
Curseur de pagination.
Nombre maximum d'éléments retournés.
1 <= value <= 10020Identifiant de la demande côté partenaire.
Date de recherche au format YYYY-MM-DD.
dateResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/withdrawal/123/45/withdrawal-requests?cursor=eyJwYWdlIjoyfQ&limit=20&requestPartnerId=2f9f7f52-4d2c-41ab-9f6c-1a19ecdb1600&date=2026-01-19"{ "nextCursor": "eyJwYWdlIjoyfQ", "withdrawalRequests": [ { "id": "47257c33-50f5-4a81-a9cd-8483983c3d7f", "status": "CREATED", "customerExternalId": "f29fe872-20b6-4f6f-a663-943ed0c0c550", "creationDate": "2026-01-19T14:08:34.043Z", "expirationDate": "2026-01-19T15:08:34.032Z", "serviceFeesInCents": 150, "qrCodeContent": "NIRIO|WITHDRAWAL|47257c33-50f5-4a81-a9cd-8483983c3d7f", "amountInCents": 5000, "currency": "EUR", "externalId": "5d3857ed-dba5-4e35-89e7-7d4e2aa71632" } ]}Récupère le détail d'une demande de retrait.
Authorization
BasicAuth In: header
Path Parameters
Identifiant du partenaire sur 3 chiffres fourni par FDJ Services.
^\\d{3}$Identifiant du produit sur 2 chiffres fourni par FDJ Services.
^\\d{2}$Identifiant FDJ Services de la demande.
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/withdrawal/123/45/withdrawal-requests/7d6d0d4a-3df1-4124-a445-e3d68efdb5b2"{ "id": "47257c33-50f5-4a81-a9cd-8483983c3d7f", "status": "CREATED", "customerExternalId": "f29fe872-20b6-4f6f-a663-943ed0c0c550", "creationDate": "2026-01-19T14:08:34.043Z", "expirationDate": "2026-01-19T15:08:34.032Z", "serviceFeesInCents": 150, "qrCodeContent": "NIRIO|WITHDRAWAL|47257c33-50f5-4a81-a9cd-8483983c3d7f", "amountInCents": 5000, "currency": "EUR", "externalId": "5d3857ed-dba5-4e35-89e7-7d4e2aa71632"}Met une demande de retrait au statut CANCELED.
Authorization
BasicAuth In: header
Path Parameters
Identifiant du partenaire sur 3 chiffres fourni par FDJ Services.
^\\d{3}$Identifiant du produit sur 2 chiffres fourni par FDJ Services.
^\\d{2}$Identifiant FDJ Services de la demande.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/withdrawal/123/45/withdrawal-requests/7d6d0d4a-3df1-4124-a445-e3d68efdb5b2" \ -H "Content-Type: application/json" \ -d '{ "status": "CANCELED" }'{ "id": "47257c33-50f5-4a81-a9cd-8483983c3d7f", "status": "CANCELED", "customerExternalId": "f29fe872-20b6-4f6f-a663-943ed0c0c550", "creationDate": "2026-01-19T14:08:34.043Z", "expirationDate": "2026-01-19T15:08:34.032Z", "serviceFeesInCents": 150, "qrCodeContent": "NIRIO|WITHDRAWAL|47257c33-50f5-4a81-a9cd-8483983c3d7f", "amountInCents": 5000, "currency": "EUR", "externalId": "5d3857ed-dba5-4e35-89e7-7d4e2aa71632"}